<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:background="@drawable/profile_me_item_bg"
        android:paddingBottom="18dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_user_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="96dp"
            android:layout_marginTop="4dp"
            android:layout_marginEnd="-4dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textSize="22sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toStartOf="@id/tv_home_page_label"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="Super Beautiful Girl" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_home_page_label"
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:background="@drawable/profile_me_homepage_bg"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="@string/profile_me_homepage_label"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_user_id_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:includeFontPadding="false"
            android:text="ID"
            android:textColor="@color/color_FF4E5969"
            android:textSize="14sp"
            app:layout_constraintStart_toStartOf="@id/tv_user_name"
            app:layout_constraintTop_toBottomOf="@id/tv_user_name"
            tools:ignore="HardcodedText" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_user_id"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF4E5969"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="@id/tv_user_id_label"
            app:layout_constraintStart_toEndOf="@id/tv_user_id_label"
            app:layout_constraintTop_toTopOf="@id/tv_user_id_label"
            tools:text="123123123" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_copy_id"
            android:layout_width="15dp"
            android:layout_height="15dp"
            android:layout_marginStart="4dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_user_id"
            app:layout_constraintStart_toEndOf="@id/tv_user_id"
            app:layout_constraintTop_toTopOf="@id/tv_user_id"
            app:srcCompat="@drawable/profile_copy_id_ic" />


        <androidx.constraintlayout.widget.Barrier
            android:id="@+id/bottom_barrier"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:barrierDirection="bottom"
            app:constraint_referenced_ids="tv_user_id_label,tv_user_id, btn_copy_id" />

        <!--关注-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_follow"
            android:layout_width="0dp"
            android:layout_height="38dp"
            android:layout_marginTop="16dp"
            app:layout_constraintEnd_toStartOf="@id/cl_fans"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/bottom_barrier">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_follow_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:text="0"
                android:textColor="@color/color_FF1D2129"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="HardcodedText" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:text="@string/profile_me_follower"
                android:textColor="@color/color_FF1D2129"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <View
            android:layout_width="1dp"
            android:layout_height="22dp"
            android:background="@color/color_FFD9D9D9"
            app:layout_constraintBottom_toBottomOf="@id/cl_follow"
            app:layout_constraintStart_toEndOf="@id/cl_follow"
            app:layout_constraintTop_toTopOf="@id/cl_follow" />

        <!--粉丝-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_fans"
            android:layout_width="0dp"
            android:layout_height="38dp"
            android:layout_marginTop="16dp"
            app:layout_constraintEnd_toStartOf="@id/cl_visitor"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toEndOf="@id/cl_follow"
            app:layout_constraintTop_toBottomOf="@id/bottom_barrier">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_fans_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:text="0"
                android:textColor="@color/color_FF1D2129"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="HardcodedText" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:text="@string/profile_me_fans"
                android:textColor="@color/color_FF1D2129"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <View
            android:layout_width="1dp"
            android:layout_height="22dp"
            android:background="@color/color_FFD9D9D9"
            app:layout_constraintBottom_toBottomOf="@id/cl_follow"
            app:layout_constraintStart_toEndOf="@id/cl_fans"
            app:layout_constraintTop_toTopOf="@id/cl_follow" />

        <!--粉丝-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_visitor"
            android:layout_width="0dp"
            android:layout_height="38dp"
            android:layout_marginTop="16dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toEndOf="@id/cl_fans"
            app:layout_constraintTop_toBottomOf="@id/bottom_barrier">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_visitor_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:text="0"
                android:textColor="@color/color_FF1D2129"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="HardcodedText" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:text="@string/profile_me_visitors"
                android:textColor="@color/color_FF1D2129"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="70dp"
        android:layout_height="70dp"
        android:layout_marginStart="16dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundingBorderColor="@color/white"
        app:roundingBorderWidth="1dp"
        tools:background="@drawable/common_default_avatar_ic" />

</androidx.constraintlayout.widget.ConstraintLayout>